data:extend(
{
  {
    type = "mining-drill",
    name = "mana-extractor",
    icon = "__Sorcerio__/graphics/icons/items/mana-extractor.png",
    icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    resource_categories = {"magic-ore"},
    minable = {mining_time = 0.3, result = "mana-extractor"},
    max_health = 150,
    corpse = "medium-remnants",
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
    mining_speed = 0.25,
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/burner-mining-drill.ogg",
        volume = 0.8
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    allowed_effects = {}, -- no beacon effects on the burner drill
    energy_source =
    {
      type = "burner",
      fuel_category = "mana",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.1 / 3,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 3
        }
      }
    },
    energy_usage = "150kW",
    animations =
    {
      north =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/mana-extractor/mana-extractor-n.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      },
      east =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/mana-extractor/mana-extractor-e.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      },
      south =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/mana-extractor/mana-extractor-s.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      },
      west =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/mana-extractor/mana-extractor-w.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      }
    },
    monitor_visualization_tint = {r=78, g=173, b=255},
    resource_searching_radius = 2.49,
    vector_to_place_result = {0, -1.85},
    fast_replaceable_group = "mining-drill",
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/electric-mining-drill/electric-mining-drill-radius-visualization.png",
      width = 10,
      height = 10
    },

    -- circuit_wire_connection_points = circuit_connector_definitions["burner-mining-drill"].points,
    -- circuit_connector_sprites = circuit_connector_definitions["burner-mining-drill"].sprites,
    -- circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "mining-drill",
    name = "herb-picker",
    icon = "__Sorcerio__/graphics/icons/items/herb-picker.png",
    icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    resource_categories = {"magic-herb"},
    minable = {mining_time = 0.3, result = "herb-picker"},
    max_health = 150,
    corpse = "medium-remnants",
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
    mining_speed = 0.25,
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/burner-mining-drill.ogg",
        volume = 0.8
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    allowed_effects = {}, -- no beacon effects on the burner drill
    energy_source =
    {
      type = "burner",
      fuel_category = "mana",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.1 / 3,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 3
        }
      }
    },
    energy_usage = "150kW",
    animations =
    {
      north =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/herb-picker/herb-picker-n.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      },
      east =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/herb-picker/herb-picker-e.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      },
      south =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/herb-picker/herb-picker-s.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      },
      west =
      {
        layers =
        {
          {
            priority = "high",
            width = 90,
            height = 90,
            line_length = 10,
            filename = "__Sorcerio__/graphics/entity/herb-picker/herb-picker-w.png",
            frame_count = 10,
            animation_speed = 0.25,
          },
        }
      }
    },
    monitor_visualization_tint = {r=78, g=173, b=255},
    resource_searching_radius = 2.49,
    vector_to_place_result = {0, -1.85},
    fast_replaceable_group = "mining-drill",
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/electric-mining-drill/electric-mining-drill-radius-visualization.png",
      width = 10,
      height = 10
    },

    -- circuit_wire_connection_points = circuit_connector_definitions["burner-mining-drill"].points,
    -- circuit_connector_sprites = circuit_connector_definitions["burner-mining-drill"].sprites,
    -- circuit_wire_max_distance = default_circuit_wire_max_distance
  }
}
)
